[arch-commits] CVS update of extra/x11-drivers/xf86-video-radeonhd (PKGBUILD)

Juergen Hoetzel juergen at archlinux.org
Mon Dec 3 13:48:59 EST 2007


    Date: Monday, December 3, 2007 @ 13:48:59
  Author: juergen
    Path: /home/cvs-extra/extra/x11-drivers/xf86-video-radeonhd

   Added: PKGBUILD (1.1)

newpkg: xf86-video-radeonhd 1.0.0-1


----------+
 PKGBUILD |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)


Index: extra/x11-drivers/xf86-video-radeonhd/PKGBUILD
diff -u /dev/null extra/x11-drivers/xf86-video-radeonhd/PKGBUILD:1.1
--- /dev/null	Mon Dec  3 13:48:59 2007
+++ extra/x11-drivers/xf86-video-radeonhd/PKGBUILD	Mon Dec  3 13:48:58 2007
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD,v 1.1 2007/12/03 18:48:58 juergen Exp $
+# Maintainer:  <juergen at archlinux.org>
+pkgname=xf86-video-radeonhd
+pkgver=1.0.0
+pkgrel=1
+pkgdesc="Experimental Radeon HD video driver for r500 and r600 ATI cards"
+url="http://wiki.x.org/wiki/radeonhd"
+license=('custom')
+depends=('glibc')
+makedepends=('pkgconfig' 'xorg-server')
+options=('nolibtool')
+conflicts=('xf86-video-radeonhd-git')
+replaces=('xf86-video-radeonhd-git')
+groups=('xorg-video-drivers')
+source=(ftp://ftp.freedesktop.org/pub/individual/driver/$pkgname-$pkgver.tar.gz)
+md5sums=('588e5fe6de45d217a658a3ce62e9254f')
+arch=(i686)
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+              --build=${CHOST} --host=${CHOST}
+  make || return 1
+  make DESTDIR=${startdir}/pkg install || return 1
+  install -m644 -D ${startdir}/src/${pkgname}-${pkgver}/COPYING \
+                   ${startdir}/pkg/usr/share/licenses/${pkgname}/LICENSE || return 1
+}
\ No newline at end of file




More information about the arch-commits mailing list